UnrecoverableKeyException (Java Platform SE 8 )
Keywords: java.security.UnrecoverableKeyException class
Date: 2015-05-24

compact1, compact2, compact3
java.security

## Class UnrecoverableKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.UnrecoverableEntryException
        - - java.security.UnrecoverableKeyException

- All Implemented Interfaces:
    Serializable

      public class UnrecoverableKeyException
      extends UnrecoverableEntryException

  This exception is thrown if a key in the keystore cannot be recovered.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrecoverableKeyException()` Constructs an UnrecoverableKeyException with no detail message.
    `UnrecoverableKeyException(String msg)` Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnrecoverableKeyException

          public UnrecoverableKeyException()

      Constructs an UnrecoverableKeyException with no detail message.

    - #### UnrecoverableKeyException

          public UnrecoverableKeyException(String msg)

      Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.